Alokai

SapccApiPlaceOrderRequest

Request parameters for placeOrder operation in SapccApi. SapccApiPlaceOrderRequest

interface SapccApiPlaceOrderRequest {
	readonly baseSiteId: string;
	readonly cartId: string;
	readonly fields?: string;
	readonly userId: string;
}

Properties

NameRequiredTypeDescription
baseSiteIdRequiredstringBase site identifier {string} SapccApiPlaceOrder
cartIdRequiredstringCart code for logged in user, cart GUID for guest checkout {string} SapccApiPlaceOrder
fieldsOptionalstringResponse configuration. This is the list of fields that should be returned in the response body. Examples: BASIC,DEFAULT,FULL {string} SapccApiPlaceOrder
userIdRequiredstringUser identifier or one of the literals : 'current' for currently authenticated user, 'anonymous' for anonymous user {string} SapccApiPlaceOrder

On this page